EDIT - task #9941

[DISCUSS] Formatting of type designation categories in compact type string
02/15/2022 08:06 PM - Andreas Mdller

Status: In Progress Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 60%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.43

Severity: normal

Description

It is discussed if the specific type category should be put at the beginning of the full type citation or if it should be added into the
brackets after type derived unit information (as it is currently the case).

see also #9940#note-19

Related issues:

Related to EDIT - feature request #461: Improve / compact display of types In Progress
Related to EDIT - feature request #2506: (Type-) Specimens may need status Closed
Related to EDIT - feature request #9596: Open issues for TypeDesignationWorki... In Progress
Related to EDIT - feature request #6865: [DISCUSS] Separator for Code and Acc... Closed
Related to EDIT - task #9940: Handle type category formatting in compact typi... In Progress
Related to EDIT - feature request #7081: Deduplicate type information in data... New
Related to EDIT - bug #10223: References for lectotypes should have short ref... New
Related to EDIT - bug #10382: Summary ticket for specimen in dataportal New

Associated revisions

Revision 8477a650 - 02/23/2024 04:51 PM - Andreas Miiller
ref #461, ref #9940, ref #9941 add precedingMainType and accessionNoType params to type designation formatter

Revision 0241126 - 02/23/2024 06:34 PM - Andreas Miiller
ref #461, ref #9940, ref #9941 allow preceding type status label (and set as default)

History

#1 - 02/15/2022 08:08 PM - Andreas Miiller

- Related to feature request #461: Improve / compact display of types added

- Related to feature request #2506: (Type-) Specimens may need status added

- Related to feature request #9596: Open issues for TypeDesignationWorkingSet added

- Related to feature request #6865: [DISCUSS] Separator for Code and Accession Number added

#2 - 02/15/2022 08:15 PM - Andreas Miiller
AM:

... Allerdings gibt es bei der kondensierten Darstellung von Typen noch Unklarheit.
Also z.B.

Timaviella dunensis Mikhailyuk & O.Vinogr. - Type: Germany, The coast of the Baltic Sea, Usedom Island, vicini
ty of Zempin, 54°4'17"N, 13°58'4"E, 8 Oct 2013. (holotype: KW KW-A-32531)

Quelle: https://www.phycobank.org/cdm_dataportal/name/71898bd8-1a6c¢c-42e7-9838-3a1600299ab9/null/null/
Wenn wir hier hinter das erste KW auch einen Doppelpunkt setzen, sieht das seltsam aus.

Gibt es dafiir Vorschlage, wie man es besser machen kann?
Das wére auch fur die in Zukunft noch zu optimierende Darstellung von Typusbelegen auf den Taxonseiten relevant.
vielleicht habe ich bei der Diskussion was verpasst, aber ich finde die unter vorgestellte Lésung nicht so gut. Was mich stort, ist die fur alle
uneingeweihten irritierende Dopplung von "Type:" und "(holotype: ...".

Ich finde es viel klarer, wenn der spezifische Typustyp vor dem Belegzitat steht (also: Holotype, Lectotype, Neotype, Syntype, Paralectotype) und in
der Klammer ggf. nur Duplikate derselben (also iso- ).

Wegen letzteren erledigt sich leider das Problem der Trennung von Herbarcode und Barcode nicht. Eine andere Lésung, die ich auch schon gesehen
habe, ist B barcode B.....

WHK;

mir hat man erklért, dass das so sein musse und ich habe es fiir PhycoBank akzeptiert. Auch hier gibt es Beispiele, ich glaube Phytotaxa macht das
so &hnlich.

NoK:
diese Form ist nicht mehr und nicht weniger als eine von mehreren méglichen Konventionen, um eine einheitliche Zitierweise zu gewéhrleisten. Ein
"Muss" fiir sie kbnnte sich entweder aus dem Code ableiten, aber der schreibt diese Form definitiv nicht vor, oder aus der Datenarchitektur, aber die

sollte sich einer sinnvollen Darstellung unterordnen und nicht umgekehrt.

Die von mir préaferierte Konvention (weil klar und concise) ist verbreitet, findet sich seit Jahrzehnten etwa in Willdenowia (sec. Greuter) und ist nicht
zuletzt auch die Form, die in APPENDIX IV des Codes verwendet wird.

(https://naturalhistory?2.si.edu/botany/codes-proposals/display _new.cfm)

AM:
Ich habe mal nachgeschaut, und das Thema wurde bereits sehr frih im Ticket #461 thematisiert, aber auch da gab es keine einheitliche Lésung.

Grundsatzlich macht es also sicher Sinn, langfristig mehrere Lésungen anzubieten. Erstmal wére es aber gut, zumindest eine zu haben, mit der alle
leben kénnen.

... ich [sehe] ein starkes Interesse bei Norbert, die Hauptkategorie nach vorne zu ziehen, wie auch in vielen Beispielen in #461 und im Appendix IV.
Henning, wie wichtig ist dir, dass auch die bisherige Formatierung bestehen bleibt? Kénntest du auch mit Norberts = Appendix IV Vorschlag leben?

#3 - 02/15/2022 08:17 PM - Andreas Miiller
- Related to task #9940: Handle type category formatting in compact typification strings added

#4 - 02/15/2022 08:41 PM - Andreas Miiller
- Related to feature request #7081: Deduplicate type information in dataportal if 2 equal types exist added

#5 - 01/12/2023 10:45 AM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.44

#6 - 01/12/2023 10:46 AM - Andreas Miiller

- Related to bug #10223: References for lectotypes should have short references, not full authorship added

#7 - 01/12/2023 10:49 AM - Andreas Miiller

- Assignee changed from Andreas Miiller to Belen Escobari

#8 - 03/03/2023 09:27 PM - Andreas Miiller

- Description updated

#9 - 08/29/2023 12:40 PM - Andreas Miiller
- Related to bug #10382: Summary ticket for specimen in dataportal added

#10 - 08/29/2023 04:51 PM - Wolf-Henning Kusber

AM:
Ich habe mal nachgeschaut, und das Thema wurde bereits sehr frih im Ticket #461 thematisiert, aber auch da gab es keine einheitliche Lésung.

Grundsatzlich macht es also sicher Sinn, langfristig mehrere Lésungen anzubieten. Erstmal wére es aber gut, zumindest eine zu haben, mit der
alle leben kénnen.

... ich [sehe] ein starkes Interesse bei Norbert, die Hauptkategorie nach vorne zu ziehen, wie auch in vielen Beispielen in #461 und im Appendix
V.

Henning, wie wichtig ist dir, dass auch die bisherige Formatierung bestehen bleibt? Kénntest du auch mit Norberts = Appendix IV Vorschlag
leben?

WHK: Ja, klar. Norberts Vorschlag ist viel besser als die Fassung, die mir vor Jahren als Konsensfassung (die sie nicht war) vorgesetzt wurde. Also
sehr gern die Hauptkategorie nach vorne.

#11 - 02/14/2024 11:33 PM - Andreas Miiller
- Assignee changed from Belen Escobari to Andreas Miiller

- Target version changed from Release 5.44 to Release 5.43

#12 - 03/13/2024 04:14 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 60
